> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calcola la valutazione NIS 2

> Calcola il verdetto di applicabilità della NIS 2 per un dato codice ATECO e la dimensione dell'azienda (dipendenti, fatturato) senza salvare nulla. Usato per ottenere un verdetto in tempo reale mentre si crea o si modifica un'organizzazione.



## OpenAPI

````yaml get /api/v1/organizations/nis2-assessment
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/organizations/nis2-assessment:
    get:
      tags:
        - organizations
      summary: Compute NIS 2 assessment
      description: >-
        Compute the NIS 2 applicability assessment for a given ATECO code +
        company size,

        without persisting anything. Used by the org form for a live verdict as
        the user

        edits ATECO / employees / revenue.
      operationId: organizations_nis2_assessment_retrieve
      parameters:
        - in: query
          name: ateco
          schema:
            type: string
          description: ATECO 2025 code.
        - in: query
          name: employees
          schema:
            type: number
          description: Number of employees.
        - in: query
          name: revenue
          schema:
            type: number
          description: Annual revenue in EUR.
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  data:
                    type: object
                    description: >-
                      NIS 2 assessment result (sector, annex, category,
                      reliability).
                    additionalProperties: true
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````